Bug 164547 - Bug in IPv6 address adding error path
Bug in IPv6 address adding error path
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Howells
Brian Brock
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-07-28 13:12 EDT by David Howells
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 14:25:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix IPv6 address addition error handling (327 bytes, patch)
2005-07-28 13:17 EDT, David Howells
no flags Details | Diff

  None (edit)
Description David Howells 2005-07-28 13:12:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.0 (like Gecko)

Description of problem:
ipv6_add_addr() calls addrconf_dst_alloc(). If that fails, then rt is set to  
an error not a pointer, and the epilogue at "out:" then tries to free what rt  
points to since it isn't NULL.  

Version-Release number of selected component (if applicable):
kernel-2.6.9-11.38.EL

How reproducible:
Didn't try

Steps to Reproduce:
It just happened once. I don't know why, but I know exactly what the problem 
is: see description and patch. 

Actual Results:  It oopsed. 

Expected Results:  No oops. 

Additional info:
Comment 1 David Howells 2005-07-28 13:17:05 EDT
Created attachment 117238 [details]
Fix IPv6 address addition error handling
Comment 13 Red Hat Bugzilla 2006-03-07 14:25:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.